---
title: Get statement doc info
slug: apis/accounts/account-mgmt-apis/get-statement-doc-info
description: Access a specific account statement PDF using GET /core/v1/dda/accounts/{accountnumber}/statements/{id}, providing document details.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-06-08T09:05:18.136Z
---



## API reference

Returns information about monthly statement documents using a unique statement ID returned in the [Get statement info](docId\:IhY7U89HOIdGyk_84eBZc) call. The PDF is stored on our production server. Request a raw PDF file with the [Get statement PDF](docId:0UFqTtK_tYvg-zF44H0Cr) call.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /v1/dda/accounts/{accountNumber}/statements/{statementId}/documents",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/statements/{statementId}/documents",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "ORrps9PK6LtEodAlYXBX5",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents' \\\n--header 'Authorization: Bearer <token>'",
        "customLabel": ""
      },
      {
        "id": "WxqMH8hlVDflODyG42YXY",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents',\n  'headers': {\n    'Authorization': 'Bearer <token>'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "-ybDqBVDmTQq-ekETeRrT",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {\n  'Authorization': 'Bearer <token>'\n}\nconn.request(\"GET\", \"/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "oi9IQfEntyr-2PFcwOiQC",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Authorization\"] = \"Bearer <token>\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "DyNvJLlAjXJ-2Q-TZ3VU2",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "ORrps9PK6LtEodAlYXBX5"
  },
  "results": {
    "languages": [
      {
        "id": "Bpj4xGoxiAWF9cgszfQRr",
        "language": "200",
        "code": "{\n    \"results\": [\n        {\n            \"id\": \"a2276ec1-e851-41e0-8ae1-b38800747098\",\n            \"statementId\": \"6daf4caa-34d5-4e65-9f98-b388004f0af7\",\n            \"fileType\": \"Pdf\",\n            \"description\": \"Document 1\",\n            \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n            \"createdAt\": \"2025-11-01T03:03:57-04:00\",\n            \"lastModifiedAt\": \"2025-11-01T03:03:57-04:00\",\n            \"fileName\": \"Devra Test_2819503463__6DAF4CAA-34D5-4E65-9F98-B388004F0AF7__2025-10-31.pdf\"\n        }\n    ],\n    \"pageNumber\": 1,\n    \"pageSize\": 1,\n    \"hasPreviousPage\": false,\n    \"hasNextPage\": false\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Bpj4xGoxiAWF9cgszfQRr"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Number of the account that you want the bank statement for",
        "": "Number of the account that you want the bank statement for"
      },
      {
        "name": "statementId",
        "kind": "required",
        "type": "string",
        "description": "The ID of the statement document you want. Find this ID in the 'id' parameter value of the GET statement info response.",
        "": "The ID of the statement document you want. Find this ID in the 'id' parameter value of the GET statement info response."
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "ID of the specific document "
    },
    {
      "name": "statementId",
      "kind": "optional",
      "type": "string",
      "description": "The ID of the statement, returned as 'id' in the GET statement info call",
      "children": []
    },
    {
      "name": "fileType",
      "kind": "optional",
      "type": "string",
      "description": "Format of the statement file:\n- Png\n- Pdf\n- Csv",
      "children": []
    },
    {
      "name": "description",
      "kind": "optional",
      "type": "string",
      "description": "System description created for the statement document",
      "children": []
    },
    {
      "name": "data",
      "kind": "optional",
      "type": "string",
      "description": "Not used",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When the document was created. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "fileName",
      "kind": "optional",
      "type": "string",
      "description": "Statement document filename",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-v1ddaaccountsaccountnumberstatementsstate",
  "legacyHash": "DgZcT5IaqqXtxp9W2XaxR"
}
```
:::

